<div>
	<form action="/services/actions/ajoutAliasVirtuels.php" method="post">
		<div>
		<h1>Choix du domaines</h1>
		<select name="choix_utilisateur_alias" id="">
			<?php

			require_once ($_SERVER["DOCUMENT_ROOT"]."/services/bdd/domaines.php");
			require_once ($_SERVER["DOCUMENT_ROOT"]."/services/bdd/utilisateurs.php");
			require_once ($_SERVER["DOCUMENT_ROOT"]."/services/bdd/alias_virtuels.php");

			$liste_utilisateurs = listeUtilisateursPostfix($pdo);
			$liste_domaines = listeDomainesPostfix($pdo);
			$liste_alias_virtuels = listeAliasVirtuelsPostfix($pdo);

			/**
			 * Sélection du domaine pour la création d'un alias virtuel.
			 */
			try {
				foreach ($liste_utilisateurs as $utilisateur_bdd => $utilisateur) {
					if ($utilisateur['utilisateur']==$_SESSION['pseudo_utilisateur']) {
						echo "<option value=\"".$utilisateur['utilisateur']."\" selected>".$utilisateur['utilisateur']."</option>\n";
					}
					elseif ($_SESSION['privilege_utilisateur']=="administrateur") {
						// !!! Bien faire attention à contrôler la saisie de l'utilisateur sur cette condition !!!
						echo "<option value=\"".$utilisateur['utilisateur']."\">".$utilisateur['utilisateur']."</option>\n";
					}
				}
			}
			catch (\Exception $e) {
				die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
			}

			?>
		</select>
		<select name="choix_domaine_alias" onchange='document.getElementById("domaine_alias").innerHTML = this.options[this.selectedIndex].text'>
			<?php

			try {
				foreach ($liste_domaines as $domaine_bdd => $domaine) {
					echo "<option value=\"".$domaine['domaine']."\">".$domaine['domaine']."</option>\n";
				}
			}
			catch (\Exception $e) {
				die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
			}

			?>
			</select>


			<?php
//			$domainesPostfix = new domainesPostfix;
//			$domainesPostfix->lister_domaines_postfix($pdo);
			//echo $liste_domaine[1]['domaine'];
			/*echo "<pre>";
			echo "<h2>Liste des utilisateurs</h2>";
			var_dump($liste_utilisateurs);
			echo "<h2>Liste des domaines</h2>";
			var_dump($liste_domaines);
//			var_dump($domainesPostfix->lister_domaines_postfix($pdo));
			echo "</pre>";
			echo $liste_domaines[1]['domaine'];*/

			//echo $voiture['nombre_portes'];
			?>
			</div>

			<div>
			<h1>Ajouter un alias virtuel</h1>
			<label for="prefix_alias">Prefix</label>
			<input type="text" name="prefix_alias">
			<label for="nom_alias">alias*</label>
			<input type="text" id="nom_alias" name="nom_alias" onkeyup="filtreAliasVirtuels()" required>
			<p id="domaine_alias"><?php echo $liste_domaines[0]["domaine"]; ?></p>
			<input type="submit" value="Ajouter">
			</div>
	</form>

<h1>Alias de <?php echo $_SESSION['pseudo_utilisateur']; ?></h1>

<form class="" action="/services/actions/editEtatAliasVirtuels.php" method="post">
	<ul id="liste_alias_virtuels">
	<?php
	/**
	 * Ajout d'un alias virtuel.
	 */
	try {
		foreach ($liste_alias_virtuels as $alias_virtuels_bdd => $alias_virtuels) {
			/*echo "<pre>";
			var_dump($alias_virtuels);
			echo "</pre>";*/

			//echo "<li><input type=\"checkbox\" name=\"".$alias_virtuels['id']."\" ";
			echo "<li><input type=\"radio\" name=\"".$alias_virtuels['id']."\" value=\"1\"";
			//if (isset($alias_virtuels['active']) && !empty($alias_virtuels['active']) && $alias_virtuels['active']==1) echo "checked";
			if (isset($alias_virtuels['active']) && !empty($alias_virtuels['active']) && $alias_virtuels['active']=="1") echo " checked";
			// Lors de la suppression, mettre un message de confirmation avec un avertissement que les données non-enregistrées seront perdues
			echo "><input type=\"radio\" name=\"".$alias_virtuels['id']."\" value=\"0\"";
			if (isset($alias_virtuels['active']) && $alias_virtuels['active']=="0") echo " checked";
			echo "><p>".$alias_virtuels['destination']."</p><a href=\"/services/actions/supprAliasVirtuels.php?supprAliasVirtuel=".$alias_virtuels['id']."\">Supprimer</a></li>\n";

			//echo "<form action=\"uneAutrePage.php\" method=\"post\"><input type=\"checkbox\" onchange=submit(); checked></form><p>".$alias_virtuels['destination']."<a href=\"unePage.php?supprAliasVirtuel=".$alias_virtuels['id']."\">Supprimer</a></p>\n";
		}
	}
	catch (\Exception $e) {
		die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
	}

	?>
	</ul>
	<input type="submit" value="Appliquer">
</form>

<script src="/fichiers/js/filtre.js"></script>

</div>